diff -Naur nrpe-2.15.orig/configure nrpe-2.15-patched/configure
--- nrpe-2.15.orig/configure	2013-12-08 17:27:32.000000000 -0500
+++ nrpe-2.15-patched/configure	2013-12-08 09:42:36.000000000 -0500
@@ -1322,7 +1322,7 @@
 
           ac_config_headers="$ac_config_headers include/config.h"
 
-                                                                                                    ac_config_files="$ac_config_files Makefile subst src/Makefile package/solaris/Makefile init-script init-script.debian init-script.suse nrpe.spec sample-config/nagios.cfg sample-config/nrpe.cfg sample-config/nrpe.xinetd"
+                                                                                                    ac_config_files="$ac_config_files Makefile subst src/Makefile package/solaris/Makefile init-script init-script.debian init-script.suse nrpe.spec sample-config/nagios.cfg sample-config/nrpe.cfg sample-config/nrpe.logrotate sample-config/nrpe.xinetd"
 
 
 
@@ -7418,6 +7418,7 @@
   "sample-config/nrpe.cfg" ) CONFIG_FILES="$CONFIG_FILES sample-config/nrpe.cfg" ;;
   "sample-config/nagios.cfg" ) CONFIG_FILES="$CONFIG_FILES sample-config/nagios.cfg" ;;
   "sample-config/nrpe.xinetd" ) CONFIG_FILES="$CONFIG_FILES sample-config/nrpe.xinetd" ;;
+  "sample-config/nrpe.logrotate" ) CONFIG_FILES="$CONFIG_FILES sample-config/nrpe.logrotate" ;;
   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -8048,6 +8049,7 @@
 perl subst sample-config/nagios.cfg
 perl subst sample-config/nrpe.cfg
 perl subst sample-config/nrpe.xinetd
+perl subst sample-config/nrpe.logrotate
 
 
 echo ""
diff -Naur nrpe-2.15.orig/configure.in nrpe-2.15-patched/configure.in
--- nrpe-2.15.orig/configure.in	2013-12-08 17:27:32.000000000 -0500
+++ nrpe-2.15-patched/configure.in	2013-12-08 09:41:57.000000000 -0500
@@ -17,6 +17,7 @@
 	nrpe.spec
 	sample-config/nagios.cfg
 	sample-config/nrpe.cfg
+	sample-config/nrpe.logrotate
 	sample-config/nrpe.xinetd])
 AC_PREFIX_DEFAULT(/usr/local/nagios)
 
@@ -458,6 +459,7 @@
 perl subst sample-config/nagios.cfg
 perl subst sample-config/nrpe.cfg
 perl subst sample-config/nrpe.xinetd
+perl subst sample-config/nrpe.logrotate
 
 
 dnl Review options
diff -Naur nrpe-2.15.orig/Makefile.in nrpe-2.15-patched/Makefile.in
--- nrpe-2.15.orig/Makefile.in	2013-09-06 11:27:13.000000000 -0400
+++ nrpe-2.15-patched/Makefile.in	2013-12-08 09:41:37.000000000 -0500
@@ -57,6 +57,7 @@
 
 install-xinetd:
 	$(INSTALL) -m 644 sample-config/nrpe.xinetd /etc/xinetd.d/nrpe 
+	$(INSTALL) -m 644 sample-config/nrpe.logrotate /etc/logrotate.d/nrpe 
 
 install-daemon-config:
 	$(INSTALL) -m 775 $(NAGIOS_INSTALL_OPTS) -d $(DESTDIR)$(CFGDIR)
@@ -78,7 +79,7 @@
 distclean: clean
 	cd $(SRC_BASE); $(MAKE) $@ ; cd ..
 	cd package/solaris; $(MAKE) $@ ; cd ../..
-	rm -f config.log config.status config.cache nrpe.cfg nrpe.xinetd subst $(SRC_INCLUDE)/config.h init-script init-script.debian init-script.freebsd init-script.suse
+	rm -f config.log config.status config.cache nrpe.cfg nrpe.logrotate nrpe.xinetd subst $(SRC_INCLUDE)/config.h init-script init-script.debian init-script.freebsd init-script.suse
 	rm -f sample-config/*.cfg sample-config/*.xinetd
 	rm -f Makefile
 
diff -Naur nrpe-2.15.orig/sample-config/nagios.cfg.in nrpe-2.15-patched/sample-config/nagios.cfg.in
--- nrpe-2.15.orig/sample-config/nagios.cfg.in	2013-12-08 17:27:32.000000000 -0500
+++ nrpe-2.15-patched/sample-config/nagios.cfg.in	2013-12-08 19:49:47.000000000 -0500
@@ -1,5 +1,5 @@
 # check_nrpe for remote nagios checks to an nrpe server
 define command{
    command_name check_nrpe
-   command_line =@libexecdir@/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
+   command_line @libexecdir@/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
    }
diff -Naur nrpe-2.15.orig/sample-config/nrpe.logrotate.in nrpe-2.15-patched/sample-config/nrpe.logrotate.in
--- nrpe-2.15.orig/sample-config/nrpe.logrotate.in	1969-12-31 19:00:00.000000000 -0500
+++ nrpe-2.15-patched/sample-config/nrpe.logrotate.in	2013-12-08 11:28:59.000000000 -0500
@@ -0,0 +1,6 @@
+@localstatedir@/log/nrpe/nrpe.log {
+    missingok
+    notifempty
+    size 500k
+    create 0640 @nrpe_user@ @nrpe_group@
+}
diff -Naur nrpe-2.15.orig/sample-config/nrpe.xinetd.in nrpe-2.15-patched/sample-config/nrpe.xinetd.in
--- nrpe-2.15.orig/sample-config/nrpe.xinetd.in	2013-09-06 11:27:13.000000000 -0400
+++ nrpe-2.15-patched/sample-config/nrpe.xinetd.in	2013-12-08 17:24:33.000000000 -0500
@@ -11,6 +11,7 @@
        	server          = @bindir@/nrpe
         server_args     = -c @sysconfdir@/nrpe.cfg --inetd
        	log_on_failure  += USERID
+        log_type        = FILE @localstatedir@/log/nrpe/nrpe.log
         disable         = no
-	only_from       = 127.0.0.1
+	only_from       = 127.0.0.1 ::1
 }
